#[derive(Clone, PartialEq, ::prost::Message)]
pub struct MemberSettlementSetting {
  #[prost(string, tag = "1")]
  pub id: ::prost::alloc::string::String,
  #[prost(string, tag = "2")]
  pub member_id: ::prost::alloc::string::String,
  #[prost(bool, tag = "3")]
  pub can_exchange: bool,
  #[prost(bool, tag = "4")]
  pub can_first_charge_comp: bool,
  #[prost(bool, tag = "5")]
  pub can_per_charge_comp: bool,
  #[prost(enumeration = "SettlementType", tag = "6")]
  pub settlement_type: i32,
  #[prost(enumeration = "ManualPaymentType", tag = "7")]
  pub manual_payment_type_for_partner: i32,
  #[prost(double, tag = "8")]
  pub rate_casino: f64,
  #[prost(double, tag = "9")]
  pub rate_casino_loosing: f64,
  #[prost(double, tag = "10")]
  pub rate_casino_bacara: f64,
  #[prost(double, tag = "11")]
  pub rate_casino_roulette: f64,
  #[prost(double, tag = "12")]
  pub rate_casino_dragon_tiger: f64,
  #[prost(double, tag = "13")]
  pub rate_slot: f64,
  #[prost(double, tag = "14")]
  pub rate_slot_loosing: f64,
  #[prost(double, tag = "15")]
  pub rate_powerball_single: f64,
  #[prost(double, tag = "16")]
  pub rate_powerball_combo: f64,
  #[prost(double, tag = "17")]
  pub rate_powerladder_single: f64,
  #[prost(double, tag = "18")]
  pub rate_powerladder_combo: f64,
  #[prost(double, tag = "19")]
  pub rate_eos_single: f64,
  #[prost(double, tag = "20")]
  pub rate_eos_combo: f64,
  #[prost(double, tag = "21")]
  pub rate_bogglepowerball_single: f64,
  #[prost(double, tag = "22")]
  pub rate_bogglepowerball_combo: f64,
  #[prost(uint64, tag = "23")]
  pub created_at: u64,
  #[prost(uint64, tag = "24")]
  pub updated_at: u64,
}
#[derive(Clone, Copy, Debug, PartialEq, Eq, Hash, PartialOrd, Ord, ::prost::Enumeration)]
#[repr(i32)]
pub enum SettlementType {
  StNone = 0,
  Rolling = 1,
  Loosing = 2,
}
#[derive(Clone, Copy, Debug, PartialEq, Eq, Hash, PartialOrd, Ord, ::prost::Enumeration)]
#[repr(i32)]
pub enum ManualPaymentType {
  MptNone = 0,
  Disable = 1,
  AllChildPartner = 2,
  OnlyDirectPartner = 3,
}
